<template>
  <div v-if="articles">
    <card :title="article.title" v-for="article in articles" :key="article.id">
      {{ article.content }}
    </card>
  </div>
</template>

<script>
import Form from "vform";
import { mapGetters } from "vuex";
import axios from "axios";

export default {
  metaInfo() {
    return { title: this.$t("home") };
  },

  data: () => ({
    articles: null,
  }),

  created() {
    this.getArticles();
  },

  methods: {
    async getArticles() {
      const { data } = await axios.get(route('shop.articles.index'));
      if (data) {
        this.articles = data;
      }
    },
  },
};
</script>
